%!octave 
%       
%       OS : GNU/Linux 3.9.3-1-ARCH 
% COMPILER : GNU Octave, version 3.6.4
%
%   AUTHOR : Evgeny S. Borisov
%
%  Glushkov Institute of Cybernetics
%  National Academy of Sciences of Ukraine
% 
%    http://www.mechanoid.kiev.ua
%  e-mail : nn@mechanoid.kiev.ua
% 
% $Id: build_dist_matrix_centroids.m,v 1.1 2014/02/09 11:10:46 mechanoid Exp $

% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
% строит матрицу расстояний между наборами точек X и Xc
function retval = build_dist_matrix_centroids(X,Xc),
   szXc = size(Xc,1) ;
   R=[];
   for k=1:szXc,
	  c = Xc(k,:) ;
      d = dist_points(X,c) ;
	  R = [ R ; d' ] ; 
   end;
   retval = R;
endfunction


