%!octave 
%       
%       OS : GNU/Linux 3.9.3-1-ARCH 
% COMPILER : GNU Octave, version 3.6.4
%
%   AUTHOR : Evgeny S. Borisov
%
%  Glushkov Institute of Cybernetics
%  National Academy of Sciences of Ukraine
% 
%    http://www.mechanoid.kiev.ua
%  e-mail : nn@mechanoid.kiev.ua
% 
% $Id: dist_points.m,v 1.1 2014/02/08 10:55:29 mechanoid Exp $

% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
% расстояния между точкой y и набором точек X
function retval = dist_points(X,y) 
   retval = dist_eucl(X,y) ;
endfunction


% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
% квадрат евклидова расстояния между точкой y и набором точек X
function retval = dist_eucl(X,y) 
   r = (X - y).^2 ; 
   r = sum(r,2) ;
   retval = r;
endfunction


% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
% евклидова метрика, расстояния между вектором y и набором векторов X
% function retval = rho(X,y) 
%    r=dist_eucl(X,y)
%    retval = sqrt(r);
% endfunction

