%!octave 
%
%     FOREL
%      
%       OS : GNU/Linux 3.9.3-1-ARCH 
% COMPILER : GNU Octave, version 3.6.4
%
%   AUTHOR : Evgeny S. Borisov
%
%  Glushkov Institute of Cybernetics
%  National Academy of Sciences of Ukraine
% 
%    http://www.mechanoid.kiev.ua
%  e-mail : nn@mechanoid.kiev.ua
% 
% $Id: plot_data.m,v 1.1 2014/02/09 11:10:46 mechanoid Exp $

function retval = plot_data(X),
   pix_size='-S720,720';
   pix_font_size=7;

   szX=size(X,1);
   xm=ceil(max(max(X))) ; ax=[ 0 xm 0 xm ] ;
   clf; hold on; axis(ax);grid on; set(gca,'fontsize',pix_font_size); 
   plot( X(:,1), X(:,2), '.b' ) ;
   title(sprintf('points:%i',szX));
   print('result/X.png','-dpng' ,pix_size) ;

   retval = 0 ;
endfunction
