%!octave 
%
%       OS : GNU/Linux 3.9.3-1-ARCH 
% COMPILER : GNU Octave, version 3.6.4
%
%   AUTHOR : Evgeny S. Borisov
%
%  Glushkov Institute of Cybernetics
%  National Academy of Sciences of Ukraine
% 
%    http://www.mechanoid.kiev.ua
%  e-mail : nn@mechanoid.kiev.ua
% 
% $Id: quality_clusters_forel.m,v 1.1 2014/02/09 11:10:46 mechanoid Exp $

% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
function retval = quality_clusters_forel(R,S),
   S0=S{2} ;
   ql=quality_clusters(R,S0) ;

   C=S{3};
   szC=size(C,2);
   for k=1:szC,
	  ick=C{k};
      S1{k}=[ S0{ick} ];
   endfor

   qh=quality_clusters(R,S1) ;

   retval=[ qh ql ];

   save('-text','result/q.txt','retval') ;
endfunction
