%!octave 
%
%     KNP
%      
%       OS : GNU/Linux 3.9.3-1-ARCH 
% COMPILER : GNU Octave, version 3.6.4
%
%   AUTHOR : Evgeny S. Borisov
%
%  Glushkov Institute of Cybernetics
%  National Academy of Sciences of Ukraine
% 
%    http://www.mechanoid.kiev.ua
%  e-mail : nn@mechanoid.kiev.ua
% 
% $Id: read_tree.m,v 1.2 2014/01/25 11:54:09 mechanoid Exp $

% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
% рекурсивный обход дерева G
function retval = read_tree(G,current,parent),
   % добавляем текущий узел current в список узлов дерева
   I = [ current ] ;
   % список связей узла current 		 
   gc = find( G(current,:) );
   % удаляем ссылку на предка из списка обработки
   ci = find( gc==parent );  gc(ci)=[];

   sz=size(gc,2) ;
   %printf('node %i, parent %i, childs %i\n',current,parent,sz) ;

   if sz>0, 
      % если узел имеет "детей" 
	  for j=1:sz, 
		 % то рекурсивно осматриваем все поддеревья
		 in = read_tree(G,gc(j),current) ; 
		 I = [ I in ] ; 
	  endfor
   endif
   
   retval = I ;

endfunction
